Subject: bug#41669: Cross-compiled powerpc64-linux bootstrap-tarballs not reproducible

From: Ludovic Courtès <[email-masked]>
Date: Mon, 04 Jan 2021 10:37:20 +0100

Hi,

Leo Le Bouter <[email-masked]> skribis:

> On Sat, 2020-12-19 at 23:28 -0800, Chris Marusich wrote:
>> Now that we have decided to use these powerpc64 bootstrap tarballs,
>> what
>> are the next steps for uploading them to the GNU FTP server?  I've
>> never
>> done that before, and I don't think I have access.  For now I've put
>> a
>> signed copy of the powerpc64-linux (big endian) bootstrap tarballs,
>> with
>> a SHA-512 hash, here:
>> 
>> https://media.marusich.info/guix-ppc64-bootstrap/bootstrap-tarballs-from-guix-1ced8379c7.tar.xz
>> https://media.marusich.info/guix-ppc64-bootstrap/bootstrap-tarballs-from-guix-1ced8379c7.tar.xz.asc
>> https://media.marusich.info/guix-ppc64-bootstrap/bootstrap-tarballs-from-guix-1ced8379c7.tar.xz.sha512sum

[...]

> Can you do it? Upload the binaries on GNU FTP server? Little endian
> binaries will come along shortly as well.

Sure.  IIUC, the tarballs at the URL above are for PPC64 (system type:
‘powerpc64-linux’); is this also going to work on PPC64LE hardware?

(As you know, we use i386 binaries for both i686-linux and x86_64-linux.
Likewise, if we can have a single set of binaries instead of having
PPC32, PPC64, and PPC64LE, that’s better.)

Thanks,
Ludo’.